## org.hibernate.exception.internal
Class SQLStateConverter

    java.lang.Object
      org.hibernate.exception.internal.StandardSQLExceptionConverter
          org.hibernate.exception.internal.SQLStateConverter

All Implemented Interfaces:
  Serializable, SQLExceptionConverter

Deprecated. Use `StandardSQLExceptionConverter` with `SQLStateConversionDelegate` instead

    @Deprecated
    public class SQLStateConverter

extends StandardSQLExceptionConverter
implements SQLExceptionConverter

See Also:
  Serialized Form

Constructor Summary
`SQLStateConverter(ViolatedConstraintNameExtracter extracter)` Deprecated.

Method Summary

Methods inherited from class org.hibernate.exception.internal.StandardSQLExceptionConverter
`addDelegate, convert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.exception.spi.SQLExceptionConverter
`convert`

Constructor Detail

### SQLStateConverter

    public SQLStateConverter(ViolatedConstraintNameExtracter extracter)

  Deprecated.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.